
Foreman - Bug #11570

Smart class parameter overrides not removed on host deletion

08/26/2015 07:47 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2655

  

Description

Since #11425, it appears that smart class parameter overrides based on FQDNs, and presumably host groups, are not being deleted

when the host is deleted.  This causes the lookup key to later fail validation when changed.

It looks like the dependent destroy was removed at 

https://github.com/theforeman/foreman/commit/9dd005342b8424bdf5453b9b0e0a27989b7f3079#diff-4d26af5acbc256436626e7dbe

476e3deL33

Related issues:

Related to Foreman - Bug #11425: add a real primary key to host and hostgroup... Closed 08/19/2015

Associated revisions

Revision 7cd51106 - 09/01/2015 12:09 PM - Tom Caspy

fixes #11570 - returning 'dependent destroy' to lookup values

History

#1 - 08/26/2015 07:47 AM - Dominic Cleal

- Related to Bug #11425: add a real primary key to host and hostgroup for lookup_values has_many added

#2 - 08/31/2015 07:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2655 added

- Pull request deleted ()

#3 - 09/01/2015 01:01 PM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7cd51106be9f7dad8e35ed76a0876578b2c93c80.
